package com.chenyang.nse.bussiness.engine.infa.powercenter961.maskdata;

import java.util.Map;

public class ParamBean {
   private String power_repository_version;
   private String repository_version;
   private String codepage;
   private String repository_dbtype;
   private String foldername;
   private String group;
   private String owner;
   private String shard;
   private String description;
   private String permissions;
   private String taskname;
   private String mappingsql;
   private String param_path;
   private String zb_sql;
   private Map<String, String> querymap;

   public Map getQuerymap() {
      return this.querymap;
   }

   public void setQuerymap(Map querymap) {
      this.querymap = querymap;
   }

   public String getZb_sql() {
      return this.zb_sql;
   }

   public void setZb_sql(String zb_sql) {
      this.zb_sql = zb_sql;
   }

   public String getParam_path() {
      return this.param_path;
   }

   public void setParam_path(String param_path) {
      this.param_path = param_path;
   }

   public String getMappingsql() {
      return this.mappingsql;
   }

   public void setMappingsql(String mappingsql) {
      this.mappingsql = mappingsql;
   }

   public String getPower_repository_version() {
      return this.power_repository_version;
   }

   public void setPower_repository_version(String power_repository_version) {
      this.power_repository_version = power_repository_version;
   }

   public String getRepository_version() {
      return this.repository_version;
   }

   public void setRepository_version(String repository_version) {
      this.repository_version = repository_version;
   }

   public String getCodepage() {
      return this.codepage;
   }

   public void setCodepage(String codepage) {
      this.codepage = codepage;
   }

   public String getRepository_dbtype() {
      return this.repository_dbtype;
   }

   public void setRepository_dbtype(String repository_dbtype) {
      this.repository_dbtype = repository_dbtype;
   }

   public String getFoldername() {
      return this.foldername;
   }

   public void setFoldername(String foldername) {
      this.foldername = foldername;
   }

   public String getGroup() {
      return this.group;
   }

   public void setGroup(String group) {
      this.group = group;
   }

   public String getOwner() {
      return this.owner;
   }

   public void setOwner(String owner) {
      this.owner = owner;
   }

   public String getShard() {
      return this.shard;
   }

   public void setShard(String shard) {
      this.shard = shard;
   }

   public String getDescription() {
      return this.description;
   }

   public void setDescription(String description) {
      this.description = description;
   }

   public String getPermissions() {
      return this.permissions;
   }

   public void setPermissions(String permissions) {
      this.permissions = permissions;
   }

   public String getTaskname() {
      return this.taskname;
   }

   public void setTaskname(String taskname) {
      this.taskname = taskname;
   }
}
